This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

v2021.12.05.1 will not run
#1
I have just downloaded v2021.12.05.1 and I uninstalled the previous version 2021.07.18.1 prior to installing. I might of kept the settings when uninstalling if the uninstaller asks to keep the settings, but I cannot remember for sure whether it allows that. I kept them if it did.

The previous version ran with only minor display bugs with a black mark in the help on the right. The current version will not run and shows an error and terminates when the error is Okayed. This error did not show on the previous version.
[Image: 2021-12-05-1-error.jpg]

I'm running Windows 7 Ultimate SP1 x64 which uses DirectX 11
Intel i7-3770K with first AVX extensions

I was getting some problems opening some very basic avisynth scripts which I hoped the new version would fix. Opening the script said that NVEncC raw video is not supported when NVEncC states that it does support raw video. The video is being decoded with DGIndexNV and the script opens with AvsPMod and displays video. I do not think that this is relevant to the error but it is the reason for me wanting to update.

I cannot get into the program so I cannot access or enable any logs.
Reply
#2
see: https://forum.selur.net/thread-2194.html
-> Seems that current Qt uses DirectX12 which isn't available on Windows 7.

Cu Selur
Reply
#3
It does not look like it will work on Windows 8.1 either, which is still receiving Microsoft updates until 2023. Win 8.1 also does not have DirectX 12 as you mentioned in that thread.



Quoted from the link you posted here



Quote:Both Windows 7 or 8.x version support will not be available for Qt 6. Microsoft discontinued the support for both Windows versions some time ago, and as a vendor, we can no longer maintain support for these windows versions in Qt 6.
Which isn't true because Windows 8.1 will receive extended security updates until Jan 2023 and is therefore a supported OS even if it is extended support.



Thanks for linking that thread because I missed it probably because of the nondescript topic title.



I have been using Hybrid since v2021.01.31.1 because it provides the best support for hardware video encoding. Most other GPU supporting applications that I have tried do not permit changing the number of reference frames and b frames or the other encoding options. CPU encoding provides a fairly small benefit and a really slow encoding time on my 4 core 8 thread CPU which is not worth the time when a little extra bitrate can provide acceptable quality and finish very quickly.



The VirusTotal scan does not match the installer link from your website. I downloaded it 4 times in total, 3 from your website and once from VideoHelp and the file hashes matched each time. However using the SHA-256 hash on VT could not find a match. Something is not working correctly. Posting the website installer link into VT to test it and it did not seem to do it correctly. It would provide no file hash which it has always done in the past. It showed it clean but it tested it far too quickly ie instantly, for it to be reliable IMO.



Why is it necessary to use the newest QT version? What benefit does that provide? It is going to disappoint quite a few users.



I have come across a number of problems with the different versions. I have just re-installed v2021.01.31.1 and it opens an AVISynth script that will not open in Hybrid v2021.07.18.1, it states raw files are not supported by NVEnc or something close to that message.



The script crashes in v2021.01.31.1 when it runs for some reason that I have not worked out. There are display bugs in the earlier versions where black marks appear at the top of the right Help panel.



If earlier Windows versions are not going to be supported then it would be a good idea to supply that information on hosting sites such as your website and VideoHelp. Doing a test for the OS on install and stopping the installation would save people wondering why it would not run.





Carl
Reply
#4
Quote:Why is it necessary to use the newest QT version? What benefit does that provide?
I usually update the Qt version for better cross plattform compatibility.

Quote:It is going to disappoint quite a few users.
So far two cared enough to report a problem.

Quote:Which isn't true because Windows 8.1 will receive extended security updates until Jan 2023 and is therefore a supported OS even if it is extended support.
That was not my wording, that was a quote from Qt.

Quote:The VirusTotal scan does not match the installer link from your website.
so Huh I did not upload Hybrid there.

Quote:The script crashes in v2021.01.31.1 when it runs for some reason that I have not worked out.
Usually the Avisynth/Vapoursynth preview show error messages.

Quote:Doing a test for the OS on install and stopping the installation would save people wondering why it would not run.
Not starting to try to install any Windows, Linux, Mac version in different update states.
Remember I write and support this software on my own in my free time.

Cu Selur
Reply
#5
Does Microsoft offer a VMWare Windows 7/8.1 64bit image somewhere?
https://developer.microsoft.com/en-us/mi...#downloads only offers 32bit versions.
Does Hybrid/64bit/Avisynth/avsViewer.exe still work on Windows 7?

Cu Selur
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)